@charset "UTF-8";
/*
    Template: swell
    Theme Name: SWELL CHILD
    Theme URI: https://swell-theme.com/
    Description: SWELLの子テーマ
    Version: 1.0.0
    Author: LOOS WEB STUDIO
    Author URI: https://loos-web-studio.com/

    License: GNU General Public License
    License URI: http://www.gnu.org/licenses/gpl.html
*/

/* --------------------------------------------------------
PCヘッダー
-------------------------------------------------------- */

@media print, screen and (min-width : 960px) { /* PC */
  
    /* スクロール前 店舗情報
    -------------------------- */
    .l-header .l-container {
        position: relative;
    }
    .l-header__gnav .c-gnav li.tel {
        display: none;
    }
    .l-header__inner .w-header.pc_ {
        position: absolute;
        top: 0;
        right: 0;
        width: 100%;
        margin: 0;
        padding-right: var(--swl-pad_container, 0);
    }
    .w-header__inner {
        margin-left: auto;
    }
    .-series .l-header__logo {
        padding-bottom: 0;
    }
    .l-header__gnav.c-gnavWrap {
        margin-top: 1.25rem;
    }
    .shopinfo ul {
        display: flex;
    }
    .shopinfo ul li {
        padding: 0.35rem 1rem 0.5rem 1rem;
        text-align: center;
    }
    .shopinfo ul li span {
        display: block;
        font-size: 1.1rem;
        font-weight: 600;
    }
    .shopinfo .phone {
        color: #FFFFFF;
        background-color: #306b50;
    }
    .shopinfo .phone span {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .shopinfo .phone span::before {
        content: "";
        display: block;
        margin-right: 5px;
        width: 0.9em;
        height: 0.9em;
        background: url(images/icon-phone.svg) no-repeat center center / contain;
    }
    .shopinfo .hours {
        color: #FFFFFF;
        background-color: #6f4d3e;
    }
  
    /* スクロール後 ヘッダー電話ボタン
    -------------------------- */
    .l-fixHeader__inner .w-header.pc_{
        display: none;
    }
    .l-fixHeader__inner .c-gnav li.tel a {
        cursor: default !important;
    }
    .l-fixHeader__inner .c-gnav li.tel a span {
        display: flex;
        align-items: center;
        padding: 0.65rem;
        color: #FFFFFF;
        background-color: #306b50;
        font-size: 1rem;
    }
    .l-fixHeader__inner .c-gnav li.tel a span::before {
        content: "";
        display: block;
        margin-right: 5px;
        width: 0.9em;
        height: 0.9em;
        background: url(images/icon-phone.svg) no-repeat center center / contain;
    }
    .l-fixHeader__inner .c-gnav li.tel:hover a::after {
        content: none;
    }

    /* スマホフッター固定
    -------------------------- */
    .sp_footernav {
        display: none;
    }
    
}


/* --------------------------------------------------------
スマホ版メニュー / 2025.06 設定
-------------------------------------------------------- */

@media screen and (max-width : 959px) {
    .-right .p-spMenu__inner {
        transform: translate(0,-100vh);
        transition: .3s;
    }
    [data-spmenu=opened] .p-spMenu__inner {
        -webkit-transform: translate(0,0);
        transform: translate(0,0);
        transition: .5s;
    }
    .p-spMenu__body {
        padding: 0 0 10vw;
    }
    .p-spMenu__nav {
        position: relative;
        padding-top: 7rem;
    }
    .p-spMenu__inner {
        width: 100vw;
    }

    /* 問合せボタン */
    .p-spMenu__body {
        position: relative;
        padding: 0 1rem 10vw;
    }
    #sp_menu_bottom .contact {
        position: absolute;
        left: 2rem;
        margin: 1.5rem auto 0 auto;
        width: calc(100% - 4rem);
    }
    #sp_menu_bottom .contact p {
        position: relative;
    }
    #sp_menu_bottom .contact p:before {
        content: "";
        position: absolute;
        z-index: 1;
        left: 0.25em;
        bottom: 50%;
        display: block;
        width: 6.25em;
        height: 6.5em;
        background: url(images/contact.svg) no-repeat center bottom / contain;
        transform: translateY(50%);
    }
    #sp_menu_bottom .contact p a {
        position: relative;
        display: flex;
        align-items: center;
        width: 100%;
        height: 100%;
        padding: 0.75rem 1rem 0.75rem 6.5em; 
        color: #FFFFFF;
        background-color: #306b50;
        font-weight: 600;
        font-size: 1.125rem;
        letter-spacing: 0.1em;
        text-align: left;
    }
    #sp_menu_bottom .contact p a:after {
        content: "";
        position: absolute;
        right: 1.8rem;
        display: block;
        transform: rotate(45deg);
        width: 0.6rem;
        height: 0.6rem;
        margin-left: 3em;
        border-top: 2px solid #ffd54f;
        border-right: 2px solid #ffd54f;
    }

    /* SNS */
    .p-spMenu__body .sns ul {
        display: flex;
        justify-content: center;
    }
    .p-spMenu__body .sns ul li {
        aspect-ratio: 1 / 1;
        overflow: hidden;
        width: 4em;
        height: 4em;
        border-radius: 25%;
        margin: 0 0.5rem;
    }
    .p-spMenu__body .sns ul li.line {
        background-color: #06c755;
    }
    .p-spMenu__body .sns ul li.ig {
        background-color: #ff0069;
    }
    .p-spMenu__body .sns ul li a {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 100%;
    }
    .p-spMenu__body .sns ul li.ig a img {
        width: 60%;
        height: auto;
    }

    /* スマホフッター固定
    -------------------------- */
    .sp_footernav {
        position: fixed;
        z-index: 100;
        left: 0;
        bottom: 0;
        width: 100%;
        box-shadow: 0 -4px 8px -4px rgba(0,0,0,0.15);
    }
    .sp_footernav ul {
        display: flex;
    }
    .sp_footernav ul li {
        width: 50%;
    }
    .sp_footernav ul li a {
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0.75rem 0;
        width: 100%;
        height: 100%;
        color: #FFFFFF;
        background-color: #627962;
    }
    .sp_footernav ul li:nth-child(2) a {
        color: #627962;
        background-color: #FFFFFF;
    }
    .sp_footernav ul li:nth-child(1) a:before,
    .sp_footernav ul li:nth-child(2) a:before {
        content: "";
        display: block;
        width: 1.7rem;
        height: 1.7rem;
        margin-right: 0.5rem;
    }
    .sp_footernav ul li:nth-child(1) a:before {
        background: url(images/icon-phone.svg) no-repeat center center / contain;
    }
    .sp_footernav ul li:nth-child(2) a:before {
        width: 2rem;
        height: 2rem;
        background: url(images/icon-mail.svg) no-repeat center center / contain;
    }
    .sp_footernav ul li a div span {
        display: block;
        font-size: 1.25rem;
        line-height: 1.25em;
    }
    .sp_footernav ul li:nth-child(1) a div span:nth-of-type(1) {
        font-size: 0.9rem;
    }
    .sp_footernav ul li:nth-child(2) a div span {
        font-size: 1rem;
    }

}